/****************************************************************************************************

		I3DExWeightedField.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Pierre-Sylvain
		Date:	03/19/2007

****************************************************************************************************/

#ifndef __I3DExWeightedField__
#define __I3DExWeightedField__

#if CP_PRAGMA_ONCE
#pragma once
#endif




//****** Globally Unique Ids *************************************************

MCDEFINE_GUID_H(IID_I3DExWeightedField);



/// \addtogroup ExternalInterface
/// \{

// ****************************************************************************
//								I3DExWeightedField
// 
/// <P>The interface for a weighted field (used by global deformer for
/// instance).</P>
///
struct I3DExWeightedField : public IMCUnknown
{
	virtual real32		MCCOMAPI GetWeight(const TVector3& position) = 0;
};

/// \}


#endif
