/****************************************************************************************

		StairCommand.r

		Copyright (c)1990 - 1999 MetaCreations. All rights reserved.

		Author:	Jerome Bignon
		Date:	07/15/99

		Revision History

		when		who			what & why
		==========	==========	======================================================
		07/15/99	Jerome		Creation
*****************************************************************************************/

#include "External3DAPI.r"
#include "Copyright.h"
#include "StairCommandDef.h"
#include "interfaceids.h"
#include "MCRTypes.r"
#include "CommandIdRanges.h"
#include "StandardBindingIds.h"

resource 'COMP' (150)
{
	kRID_SceneCommandFamilyID,
	'COst',
	"Linear Stairs",
	"SDK Examples",
	FIRSTVERSION,
	VERSIONSTRING,
	COPYRIGHT,
	kRDAPIVersion
};

resource 'PMap' (150)
{
	{
		'MDFM','comp',noFlags, "Modifier Method","{fmly modi}",
		'NBST','in16',interpolate, "# step","",
		'STDX','re32',interpolate, "Delta X","",
		'STDY','re32',interpolate, "Delta Y","",
		'STDZ','re32',interpolate, "Delta Z","",
	}
};

resource 'GUID' (150)
{
	{
		R_IID_I3DExSceneCommand,
		R_CLSID_StairCommand
	}
};

resource 'scmd' (150)
{
	kSDKCmdIDBase,
	defaultMenu,
	{
		'3Dvw',		// 3D View room
		'Stry',		// Storyboard room
	},
	kNoStrings,
	kDefaultName,
	kEditBindingGroupID,
	{ 
		kDefaultID,	kDefaultName,	's',	kShift,		kCtrl,	kNoAlt,	kAnyPlatform; // default keybord shortcut is Shift + Ctrl + S
	},
	k3DViewBindingContextID
};
